[Flex JS] Flex SDK Installer always get stuck at "Finish uncompressing"

classic Classic list List threaded Threaded
21 messages Options
12
Reply | Threaded
Open this post in threaded view
|

[Flex JS] Flex SDK Installer always get stuck at "Finish uncompressing"

m_awais
Hi,

I am trying to install Apache Flex JS 0.8.0 from apache-flex-sdk-installer-3.2.0-bin. I have already installed Apache Flex SDK 4.16.0 + AIR 23.0 + Flash Player 23 from same installer and there was no issue.

I tried to install the Apache Flex JS 0.8.0 from the same installer, and it get stuck at "Finish Uncompressing". It stuck there for while, i thought the installation was completed successfully. But when i check installer log it states :


#Installer version 3.2.0 (windows)
#Using Locale: en_US
#Fetched the SDK download mirror URL from the CGI.
#SDK version Apache FlexJS 0.8.0
#AIR version 23.0
#Flash Player version 23.0
#Creating Apache FlexJS home
#Creating temporary directory
#Downloading Apache FlexJS from:http://www-us.apache.org/dist/flex/flexjs/0.8.0/binaries/apache-flex-flexjs-0.8.0-bin.zip
#Verifying Apache FlexJS MD5 Signature
#The Apache FlexJS MD5 Signature of the downloaded files matches the reference. The file is valid.
#Uncompressing: C:\Flex Js\temp\apache-flex-flexjs-0.8.0-bin.zip
#Finished uncompressing: C:\Flex Js\temp\apache-flex-flexjs-0.8.0-bin.zip
#Error #1009

#Installation aborted


I changed the internet connection, to see if there was some issue with connection. But even after changing the connection, still no success. I tried fresh installation several times, every times it get stuck at "Finish Uncompressing".

Thanks in advance!

Regards


Reply | Threaded
Open this post in threaded view
|

Re: [Flex JS] Flex SDK Installer always get stuck at "Finish uncompressing"

piotrz
Hi,

I haven't tried it, but anyone from PMC know whether we can install FlexJS by ant script ?

As for the issue - if script doesn't work for you - You can try to install FlexJS using npm [1]

[1] https://www.npmjs.com/package/flexjs

Thanks,
Piotr
Reply | Threaded
Open this post in threaded view
|

Re: [Flex JS] Flex SDK Installer always get stuck at "Finish uncompressing"

piotrz
Om,

Can we install using npm also nightly build (0.9.0) ?

Thanks,
Piotr
Reply | Threaded
Open this post in threaded view
|

Re: [Flex JS] Flex SDK Installer always get stuck at "Finish uncompressing"

Olaf Krueger
Hi,
is there any chance to pre-build the various FlexJS releases including the nightly (maybe also for different platforms) at server side in order to just provide an URL to make it downloadable?
So the question is, could we replace the installer by manual SDK downloads for FlexJS?

And if not, is the show stopper a technical or legal issue?

Thanks,
Olaf
Reply | Threaded
Open this post in threaded view
|

Re: [Flex JS] Flex SDK Installer always get stuck at "Finish uncompressing"

piotrz
I doubt that we can hold somewhere on the Apache server Adobe Air SDK or playerglobal.swc.

That is why installer was created I think.

Thanks,
Piotr
Reply | Threaded
Open this post in threaded view
|

Re: [Flex JS] Flex SDK Installer always get stuck at "Finish uncompressing"

Olaf Krueger
Hmm... if we just would like to target JS, do we still need AIR and playerglobal.swc?
If not, maybe we could provide a FlexJS "JS only" version?

Maybe another approach could be to declare AIR as a prerequisite?

Thanks,
Olaf
Reply | Threaded
Open this post in threaded view
|

Re: [Flex JS] Flex SDK Installer always get stuck at "Finish uncompressing"

Alex Harui-2
In reply to this post by m_awais
I just tried it and it worked for me.

Do you have any restricted access rights to parts of your file system?  I
thought we'd gotten rid of "spaces in path" bugs, but maybe try installing
to a folder without spaces in it.

Thanks,
-Alex

On 8/28/17, 4:10 AM, "m_awais" <[hidden email]> wrote:

>Hi,
>
>I am trying to install Apache Flex JS 0.8.0 from
>apache-flex-sdk-installer-3.2.0-bin. I have already installed Apache Flex
>SDK 4.16.0 + AIR 23.0 + Flash Player 23 from same installer and there was
>no
>issue.
>
>I tried to install the Apache Flex JS 0.8.0 from the same installer, and
>it
>get stuck at "Finish Uncompressing". It stuck there for while, i thought
>the
>installation was completed successfully. But when i check installer log it
>states :
>
>
>#Installer version 3.2.0 (windows)
>#Using Locale: en_US
>#Fetched the SDK download mirror URL from the CGI.
>#SDK version Apache FlexJS 0.8.0
>#AIR version 23.0
>#Flash Player version 23.0
>#Creating Apache FlexJS home
>#Creating temporary directory
>#Downloading Apache FlexJS
>from:http://www-us.apache.org/dist/flex/flexjs/0.8.0/binaries/apache-flex-
>flexjs-0.8.0-bin.zip
>#Verifying Apache FlexJS MD5 Signature
>#The Apache FlexJS MD5 Signature of the downloaded files matches the
>reference. The file is valid.
>#Uncompressing: C:\Flex Js\temp\apache-flex-flexjs-0.8.0-bin.zip
>#Finished uncompressing: C:\Flex Js\temp\apache-flex-flexjs-0.8.0-bin.zip
>#Error #1009
>
>#Installation aborted
>
>
>I changed the internet connection, to see if there was some issue with
>connection. But even after changing the connection, still no success. I
>tried fresh installation several times, every times it get stuck at
>"Finish
>Uncompressing".
>
>Thanks in advance!
>
>Regards
>
>
>
>
>
>
>--
>View this message in context:
>https://na01.safelinks.protection.outlook.com/?url=http%3A%2F%2Fapache-fle
>x-development.2333347.n4.nabble.com%2FFlex-JS-Flex-SDK-Installer-always-ge
>t-stuck-at-Finish-uncompressing-tp63989.html&data=02%7C01%7C%7Cd9ae698daab
>641cf95c008d4ee1c758a%7Cfa7b1b5a7b34438794aed2c178decee1%7C0%7C0%7C6363952
>53379390795&sdata=karWIDoLwZ5Dlbojv2uUSPH5aGvvK1OYmfwVlxGcW2M%3D&reserved=
>0
>Sent from the Apache Flex Development mailing list archive at Nabble.com.

Reply | Threaded
Open this post in threaded view
|

Re: [Flex JS] Flex SDK Installer always get stuck at "Finish uncompressing"

Alex Harui-2
In reply to this post by Olaf Krueger
AIR and Flash are already technically prerequisites, but folks found it so
inconvenient compared to the old Adobe distributions that Om and others
created the Installer to automate fetching the Flash/AIR bits.

Flash Builder, and maybe some other IDEs, expect AIR and Flash files in
the SDK folder.  Anyone using Maven and only using an IDE as a text editor
without much code intelligence can just use Maven to get the things they
need.

Using Ant to install the SDK worked the last time I tried it.

I'm not sure what dependencies VSCode Extensions and Moonshine expect, but
if they can live without Flash/AIR then it is possible to put together a
JS-only package.

And anyone who wants to become an authorized Adobe distributor can sign up
with Adobe to distribute the Flash/AIR SDKs and make packages like Adobe
did.  But Apache probably shouldn't since that is distributing stuff that
isn't open source.

-Alex

On 8/28/17, 7:23 AM, "Olaf Krueger" <[hidden email]> wrote:

>Hmm... if we just would like to target JS, do we still need AIR and
>playerglobal.swc?
>If not, maybe we could provide a FlexJS "JS only" version?
>
>Maybe another approach could be to declare AIR as a prerequisite?
>
>Thanks,
>Olaf
>
>
>
>
>--
>View this message in context:
>https://na01.safelinks.protection.outlook.com/?url=http%3A%2F%2Fapache-fle
>x-development.2333347.n4.nabble.com%2FFlex-JS-Flex-SDK-Installer-always-ge
>t-stuck-at-Finish-uncompressing-tp63989p63994.html&data=02%7C01%7C%7Cd392a
>411c104483719ef08d4ee206ef6%7Cfa7b1b5a7b34438794aed2c178decee1%7C0%7C0%7C6
>36395270455882491&sdata=J%2F2HjEqxGEGjfgJRS9Z8HgNEkabQ6k3%2BfghmAssykVc%3D
>&reserved=0
>Sent from the Apache Flex Development mailing list archive at Nabble.com.

Reply | Threaded
Open this post in threaded view
|

Re: [Flex JS] Flex SDK Installer always get stuck at "Finish uncompressing"

Josh Tynjala
VSCode checks if an SDK contains two directories named "bin" and
"frameworks", and it requires either "flex-sdk-description.xml" or
"air-sdk-description.xml" in the root of the SDK.

One change that I could make is to allow "bin" to be missing if "js/bin"
exists instead.

The parts of Moonshine that I've worked on should have these same
requirements, but there may be some other requirements elsewhere in the
codebase.

- Josh

On Mon, Aug 28, 2017 at 8:31 AM, Alex Harui <[hidden email]>
wrote:

> AIR and Flash are already technically prerequisites, but folks found it so
> inconvenient compared to the old Adobe distributions that Om and others
> created the Installer to automate fetching the Flash/AIR bits.
>
> Flash Builder, and maybe some other IDEs, expect AIR and Flash files in
> the SDK folder.  Anyone using Maven and only using an IDE as a text editor
> without much code intelligence can just use Maven to get the things they
> need.
>
> Using Ant to install the SDK worked the last time I tried it.
>
> I'm not sure what dependencies VSCode Extensions and Moonshine expect, but
> if they can live without Flash/AIR then it is possible to put together a
> JS-only package.
>
> And anyone who wants to become an authorized Adobe distributor can sign up
> with Adobe to distribute the Flash/AIR SDKs and make packages like Adobe
> did.  But Apache probably shouldn't since that is distributing stuff that
> isn't open source.
>
> -Alex
>
> On 8/28/17, 7:23 AM, "Olaf Krueger" <[hidden email]> wrote:
>
> >Hmm... if we just would like to target JS, do we still need AIR and
> >playerglobal.swc?
> >If not, maybe we could provide a FlexJS "JS only" version?
> >
> >Maybe another approach could be to declare AIR as a prerequisite?
> >
> >Thanks,
> >Olaf
> >
> >
> >
> >
> >--
> >View this message in context:
> >https://na01.safelinks.protection.outlook.com/?url=
> http%3A%2F%2Fapache-fle
> >x-development.2333347.n4.nabble.com%2FFlex-JS-Flex-SDK-
> Installer-always-ge
> >t-stuck-at-Finish-uncompressing-tp63989p63994.
> html&data=02%7C01%7C%7Cd392a
> >411c104483719ef08d4ee206ef6%7Cfa7b1b5a7b34438794aed2c178de
> cee1%7C0%7C0%7C6
> >36395270455882491&sdata=J%2F2HjEqxGEGjfgJRS9Z8HgNEkabQ6k
> 3%2BfghmAssykVc%3D
> >&reserved=0
> >Sent from the Apache Flex Development mailing list archive at Nabble.com.
>
>
Reply | Threaded
Open this post in threaded view
|

Re: [Flex JS] Flex SDK Installer always get stuck at "Finish uncompressing"

piotrz
Hi Josh,

I think that would a good change if you could do this.

I just tried installer.xml file and it asked for Adobe Air - failed when I choose "n". - If we could change it for non required.

Thanks,
Piotr
Reply | Threaded
Open this post in threaded view
|

Re: [Flex JS] Flex SDK Installer always get stuck at "Finish uncompressing"

Alex Harui-2
In reply to this post by Alex Harui-2
I just thought to check the log to see what the next step is after
uncompressing.  On Windows, the install script tries to find JAVA_HOME and
verify that it points to a java executable.  Could it be that you don't
have Java installed or a way to find it?  Try running from a command
prompt:

   where java

HTH,
-Alex

On 8/28/17, 8:24 AM, "Alex Harui" <[hidden email]> wrote:

>I just tried it and it worked for me.
>
>Do you have any restricted access rights to parts of your file system?  I
>thought we'd gotten rid of "spaces in path" bugs, but maybe try installing
>to a folder without spaces in it.
>
>Thanks,
>-Alex
>
>On 8/28/17, 4:10 AM, "m_awais" <[hidden email]> wrote:
>
>>Hi,
>>
>>I am trying to install Apache Flex JS 0.8.0 from
>>apache-flex-sdk-installer-3.2.0-bin. I have already installed Apache Flex
>>SDK 4.16.0 + AIR 23.0 + Flash Player 23 from same installer and there was
>>no
>>issue.
>>
>>I tried to install the Apache Flex JS 0.8.0 from the same installer, and
>>it
>>get stuck at "Finish Uncompressing". It stuck there for while, i thought
>>the
>>installation was completed successfully. But when i check installer log
>>it
>>states :
>>
>>
>>#Installer version 3.2.0 (windows)
>>#Using Locale: en_US
>>#Fetched the SDK download mirror URL from the CGI.
>>#SDK version Apache FlexJS 0.8.0
>>#AIR version 23.0
>>#Flash Player version 23.0
>>#Creating Apache FlexJS home
>>#Creating temporary directory
>>#Downloading Apache FlexJS
>>from:http://www-us.apache.org/dist/flex/flexjs/0.8.0/binaries/apache-flex
>>-
>>flexjs-0.8.0-bin.zip
>>#Verifying Apache FlexJS MD5 Signature
>>#The Apache FlexJS MD5 Signature of the downloaded files matches the
>>reference. The file is valid.
>>#Uncompressing: C:\Flex Js\temp\apache-flex-flexjs-0.8.0-bin.zip
>>#Finished uncompressing: C:\Flex Js\temp\apache-flex-flexjs-0.8.0-bin.zip
>>#Error #1009
>>
>>#Installation aborted
>>
>>
>>I changed the internet connection, to see if there was some issue with
>>connection. But even after changing the connection, still no success. I
>>tried fresh installation several times, every times it get stuck at
>>"Finish
>>Uncompressing".
>>
>>Thanks in advance!
>>
>>Regards
>>
>>
>>
>>
>>
>>
>>--
>>View this message in context:
>>https://na01.safelinks.protection.outlook.com/?url=http%3A%2F%2Fapache-fl
>>e
>>x-development.2333347.n4.nabble.com%2FFlex-JS-Flex-SDK-Installer-always-g
>>e
>>t-stuck-at-Finish-uncompressing-tp63989.html&data=02%7C01%7C%7Cd9ae698daa
>>b
>>641cf95c008d4ee1c758a%7Cfa7b1b5a7b34438794aed2c178decee1%7C0%7C0%7C636395
>>2
>>53379390795&sdata=karWIDoLwZ5Dlbojv2uUSPH5aGvvK1OYmfwVlxGcW2M%3D&reserved
>>=
>>0
>>Sent from the Apache Flex Development mailing list archive at Nabble.com.
>

Reply | Threaded
Open this post in threaded view
|

Re: [Flex JS] Flex SDK Installer always get stuck at "Finish uncompressing"

piotrz
In reply to this post by piotrz
Additionally I just did small experiment making following things:

1) I downloaded nightly build of FlexJS from jenkins
2) Removed from installer.xml "ask-air,ask-flash" and change properties falcon.version to 0.9.0
3) I tried build simple project using Moonshine and got errors [1]
4) I've commented out in flex-config.xml all parts related to flash player and got this error [2].

I'm not sure whether this is something specific to Moonshine, compiler or extension itself. Any idea ?

[1] https://paste.apache.org/YT1J
[2] https://paste.apache.org/NK74

Thanks,
Piotr
Reply | Threaded
Open this post in threaded view
|

Re: [Flex JS] Flex SDK Installer always get stuck at "Finish uncompressing"

Alex Harui-2
Hi Piotr,

You might have to change more than that in installer.xml.  I think there
are other places that fix up flex-sdk-description.xml.

Also, try compiling from the command-line to see what the compiler expects
vs the IDE.

HTH,
-Alex

On 8/28/17, 12:03 PM, "piotrz" <[hidden email]> wrote:

>Additionally I just did small experiment making following things:
>
>1) I downloaded nightly build of FlexJS from jenkins
>2) Removed from installer.xml "ask-air,ask-flash" and change properties
>falcon.version to 0.9.0
>3) I tried build simple project using Moonshine and got errors [1]
>4) I've commented out in flex-config.xml all parts related to flash player
>and got this error [2].
>
>I'm not sure whether this is something specific to Moonshine, compiler or
>extension itself. Any idea ?
>
>[1]
>https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fpaste.apa
>che.org%2FYT1J&data=02%7C01%7C%7Cc81217fee33f4155bf9308d4ee4770ee%7Cfa7b1b
>5a7b34438794aed2c178decee1%7C0%7C0%7C636395437992573077&sdata=xOpe9OeanMio
>MN%2BmEoz%2FTKWDOBAnoKv9y9mOmuVN35s%3D&reserved=0
>[2]
>https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fpaste.apa
>che.org%2FNK74&data=02%7C01%7C%7Cc81217fee33f4155bf9308d4ee4770ee%7Cfa7b1b
>5a7b34438794aed2c178decee1%7C0%7C0%7C636395437992573077&sdata=h40T1CHPIIkg
>WU%2FrAD%2FRP9TZQOJ%2FQXtJ%2FrGrzvBBUFo%3D&reserved=0
>
>Thanks,
>Piotr
>
>
>
>-----
>Apache Flex PMC
>[hidden email]
>--
>View this message in context:
>https://na01.safelinks.protection.outlook.com/?url=http%3A%2F%2Fapache-fle
>x-development.2333347.n4.nabble.com%2FFlex-JS-Flex-SDK-Installer-always-ge
>t-stuck-at-Finish-uncompressing-tp63989p64002.html&data=02%7C01%7C%7Cc8121
>7fee33f4155bf9308d4ee4770ee%7Cfa7b1b5a7b34438794aed2c178decee1%7C0%7C0%7C6
>36395437992573077&sdata=Dq67vCiS%2FdufLCIjZQQudui6BtXELt2AcOeo8JFdiak%3D&r
>eserved=0
>Sent from the Apache Flex Development mailing list archive at Nabble.com.

Reply | Threaded
Open this post in threaded view
|

Re: [Flex JS] Flex SDK Installer always get stuck at "Finish uncompressing"

piotrz
Hi Alex,

I just did build using console. It look like there is a bug in Moonshine partially.

Build in Moonshine:
Basically when I run build it has failed with same error in Moonshine, cause every build generates custom configuration [1] which contains <target-player>0.0.0</target-player> - if there is no player version in frameworks/flex-config.xml (since I have commented out each line related to target-player).

I will probably raise issue for Moonshine.

Build in console:
Once I removed target-player from [2] build has been successful from console. Unfortunately -html-template was completely omitted, so MDL example do not have any styles.



[1] https://paste.apache.org/FbUb
[2] https://paste.apache.org/l0mh

Thanks,
Piotr
Reply | Threaded
Open this post in threaded view
|

Re: [Flex JS] Flex SDK Installer always get stuck at "Finish uncompressing"

Alex Harui-2
Hmm.  It isn't obvious to me:

1) if you only have target=JSFlex, why does the compiler care about
target-player?
2) Why did -htmlTemplate option not work?

Maybe the console output would tell us more, or try putting
System.out.println calls into MXMLFlexJSPublisher.java to see why the
template wasn’t generated.

HTH,
-Alex

On 8/28/17, 3:20 PM, "piotrz" <[hidden email]> wrote:

>Hi Alex,
>
>I just did build using console. It look like there is a bug in Moonshine
>partially.
>
>Build in Moonshine:
>Basically when I run build it has failed with same error in Moonshine,
>cause
>every build generates custom configuration [1] which contains
><target-player>0.0.0</target-player> - if there is no player version in
>frameworks/flex-config.xml (since I have commented out each line related
>to
>target-player).
>
>I will probably raise issue for Moonshine.
>
>Build in console:
>Once I removed target-player from [2] build has been successful from
>console. Unfortunately -html-template was completely omitted, so MDL
>example
>do not have any styles.
>
><https://na01.safelinks.protection.outlook.com/?url=http%3A%2F%2Fapache-fl
>ex-development.2333347.n4.nabble.com%2Ffile%2Fn64004%2Fmdl_table_without_S
>tyle.png&data=02%7C01%7C%7C284e644bff584ab1b7d708d4ee62f776%7Cfa7b1b5a7b34
>438794aed2c178decee1%7C0%7C0%7C636395556215578840&sdata=ZRxcO%2B%2Bn2wULt4
>kn53d6ZZutOxqguNTjBteVF59TYrA%3D&reserved=0>
>
>[1]
>https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fpaste.apa
>che.org%2FFbUb&data=02%7C01%7C%7C284e644bff584ab1b7d708d4ee62f776%7Cfa7b1b
>5a7b34438794aed2c178decee1%7C0%7C0%7C636395556215578840&sdata=dhOREax1nh33
>zGhlaqo9%2B0FD8g5YLY7B0yuRGd3kVKY%3D&reserved=0
>[2]
>https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fpaste.apa
>che.org%2Fl0mh&data=02%7C01%7C%7C284e644bff584ab1b7d708d4ee62f776%7Cfa7b1b
>5a7b34438794aed2c178decee1%7C0%7C0%7C636395556215578840&sdata=w2vD2jcJMjoi
>9LYCR7z8ppgwHqe9J40G5G2fbl6uB40%3D&reserved=0
>
>Thanks,
>Piotr
>
>
>
>-----
>Apache Flex PMC
>[hidden email]
>--
>View this message in context:
>https://na01.safelinks.protection.outlook.com/?url=http%3A%2F%2Fapache-fle
>x-development.2333347.n4.nabble.com%2FFlex-JS-Flex-SDK-Installer-always-ge
>t-stuck-at-Finish-uncompressing-tp63989p64004.html&data=02%7C01%7C%7C284e6
>44bff584ab1b7d708d4ee62f776%7Cfa7b1b5a7b34438794aed2c178decee1%7C0%7C0%7C6
>36395556215578840&sdata=gd1LmXTytYAQOab3zLaTzWbAufOzK6e%2BfPf56%2FTeCIM%3D
>&reserved=0
>Sent from the Apache Flex Development mailing list archive at Nabble.com.

Reply | Threaded
Open this post in threaded view
|

Re: [Flex JS] Flex SDK Installer always get stuck at "Finish uncompressing"

m_awais
In reply to this post by Alex Harui-2
Alex,

Thank you very much for your reply.

It seems that problem was JAVA_HOME variable. After setting this variable installation completed successfully.

Regards
Reply | Threaded
Open this post in threaded view
|

Re: [Flex JS] Flex SDK Installer always get stuck at "Finish uncompressing"

piotrz
In reply to this post by Alex Harui-2
Hi Alex,

I get back to this and look closer into compiler code regarding point #1. I
see following comments in Configuration.java:

"The major_version is required while minor_version and revision are
optional. The minimum value is 10.0.0. If you do not specify the
minor_version or revision, then the compiler uses zeros."

In code I see that if I don't have in flex-config.xml <target-player> at
all I have exception reported by this line [1]. That is why I'm seeing this
one:

<target-player>0.0.0</target-player>


[1] https://paste.apache.org/BB2R

Thanks,
Piotr


2017-08-29 6:36 GMT+02:00 Alex Harui <[hidden email]>:

> Hmm.  It isn't obvious to me:
>
> 1) if you only have target=JSFlex, why does the compiler care about
> target-player?
> 2) Why did -htmlTemplate option not work?
>
> Maybe the console output would tell us more, or try putting
> System.out.println calls into MXMLFlexJSPublisher.java to see why the
> template wasn’t generated.
>
> HTH,
> -Alex
>
> On 8/28/17, 3:20 PM, "piotrz" <[hidden email]> wrote:
>
> >Hi Alex,
> >
> >I just did build using console. It look like there is a bug in Moonshine
> >partially.
> >
> >Build in Moonshine:
> >Basically when I run build it has failed with same error in Moonshine,
> >cause
> >every build generates custom configuration [1] which contains
> ><target-player>0.0.0</target-player> - if there is no player version in
> >frameworks/flex-config.xml (since I have commented out each line related
> >to
> >target-player).
> >
> >I will probably raise issue for Moonshine.
> >
> >Build in console:
> >Once I removed target-player from [2] build has been successful from
> >console. Unfortunately -html-template was completely omitted, so MDL
> >example
> >do not have any styles.
> >
> ><https://na01.safelinks.protection.outlook.com/?url=
> http%3A%2F%2Fapache-fl
> >ex-development.2333347.n4.nabble.com%2Ffile%2Fn64004%
> 2Fmdl_table_without_S
> >tyle.png&data=02%7C01%7C%7C284e644bff584ab1b7d708d4ee62
> f776%7Cfa7b1b5a7b34
> >438794aed2c178decee1%7C0%7C0%7C636395556215578840&sdata=
> ZRxcO%2B%2Bn2wULt4
> >kn53d6ZZutOxqguNTjBteVF59TYrA%3D&reserved=0>
> >
> >[1]
> >https://na01.safelinks.protection.outlook.com/?url=
> https%3A%2F%2Fpaste.apa
> >che.org%2FFbUb&data=02%7C01%7C%7C284e644bff584ab1b7d708d4ee62
> f776%7Cfa7b1b
> >5a7b34438794aed2c178decee1%7C0%7C0%7C636395556215578840&
> sdata=dhOREax1nh33
> >zGhlaqo9%2B0FD8g5YLY7B0yuRGd3kVKY%3D&reserved=0
> >[2]
> >https://na01.safelinks.protection.outlook.com/?url=
> https%3A%2F%2Fpaste.apa
> >che.org%2Fl0mh&data=02%7C01%7C%7C284e644bff584ab1b7d708d4ee62
> f776%7Cfa7b1b
> >5a7b34438794aed2c178decee1%7C0%7C0%7C636395556215578840&
> sdata=w2vD2jcJMjoi
> >9LYCR7z8ppgwHqe9J40G5G2fbl6uB40%3D&reserved=0
> >
> >Thanks,
> >Piotr
> >
> >
> >
> >-----
> >Apache Flex PMC
> >[hidden email]
> >--
> >View this message in context:
> >https://na01.safelinks.protection.outlook.com/?url=
> http%3A%2F%2Fapache-fle
> >x-development.2333347.n4.nabble.com%2FFlex-JS-Flex-SDK-
> Installer-always-ge
> >t-stuck-at-Finish-uncompressing-tp63989p64004.
> html&data=02%7C01%7C%7C284e6
> >44bff584ab1b7d708d4ee62f776%7Cfa7b1b5a7b34438794aed2c178de
> cee1%7C0%7C0%7C6
> >36395556215578840&sdata=gd1LmXTytYAQOab3zLaTzWbAufOzK6
> e%2BfPf56%2FTeCIM%3D
> >&reserved=0
> >Sent from the Apache Flex Development mailing list archive at Nabble.com.
>
>


--

Piotr Zarzycki

mobile: +48 880 859 557
skype: zarzycki10

LinkedIn: http://www.linkedin.com/piotrzarzycki
<https://pl.linkedin.com/in/piotr-zarzycki-92a53552>
Reply | Threaded
Open this post in threaded view
|

Re: [Flex JS] Flex SDK Installer always get stuck at "Finish uncompressing"

Alex Harui-2
OK, but if you specify a legitimate target-player but only specify JSFlex
output, I'm still wondering what part of the compiler is going to verify a
playerglobal.swc exists since playerglobal.swc shouldn’t be specified in
any external-library-path.

-Alex

On 9/3/17, 1:51 PM, "Piotr Zarzycki" <[hidden email]> wrote:

>Hi Alex,
>
>I get back to this and look closer into compiler code regarding point #1.
>I
>see following comments in Configuration.java:
>
>"The major_version is required while minor_version and revision are
>optional. The minimum value is 10.0.0. If you do not specify the
>minor_version or revision, then the compiler uses zeros."
>
>In code I see that if I don't have in flex-config.xml <target-player> at
>all I have exception reported by this line [1]. That is why I'm seeing
>this
>one:
>
><target-player>0.0.0</target-player>
>
>
>[1]
>https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fpaste.apa
>che.org%2FBB2R&data=02%7C01%7C%7Ce185e651110c4c41e85908d4f30d81d6%7Cfa7b1b
>5a7b34438794aed2c178decee1%7C0%7C0%7C636400686724171224&sdata=ifbA81a5a5vw
>bE4yej1Ej4mzM4JkfTH3KtBzC95wvK8%3D&reserved=0
>
>Thanks,
>Piotr
>
>
>2017-08-29 6:36 GMT+02:00 Alex Harui <[hidden email]>:
>
>> Hmm.  It isn't obvious to me:
>>
>> 1) if you only have target=JSFlex, why does the compiler care about
>> target-player?
>> 2) Why did -htmlTemplate option not work?
>>
>> Maybe the console output would tell us more, or try putting
>> System.out.println calls into MXMLFlexJSPublisher.java to see why the
>> template wasn’t generated.
>>
>> HTH,
>> -Alex
>>
>> On 8/28/17, 3:20 PM, "piotrz" <[hidden email]> wrote:
>>
>> >Hi Alex,
>> >
>> >I just did build using console. It look like there is a bug in
>>Moonshine
>> >partially.
>> >
>> >Build in Moonshine:
>> >Basically when I run build it has failed with same error in Moonshine,
>> >cause
>> >every build generates custom configuration [1] which contains
>> ><target-player>0.0.0</target-player> - if there is no player version in
>> >frameworks/flex-config.xml (since I have commented out each line
>>related
>> >to
>> >target-player).
>> >
>> >I will probably raise issue for Moonshine.
>> >
>> >Build in console:
>> >Once I removed target-player from [2] build has been successful from
>> >console. Unfortunately -html-template was completely omitted, so MDL
>> >example
>> >do not have any styles.
>> >
>> ><https://na01.safelinks.protection.outlook.com/?url=
>> http%3A%2F%2Fapache-fl
>> >ex-development.2333347.n4.nabble.com%2Ffile%2Fn64004%
>> 2Fmdl_table_without_S
>> >tyle.png&data=02%7C01%7C%7C284e644bff584ab1b7d708d4ee62
>> f776%7Cfa7b1b5a7b34
>> >438794aed2c178decee1%7C0%7C0%7C636395556215578840&sdata=
>> ZRxcO%2B%2Bn2wULt4
>> >kn53d6ZZutOxqguNTjBteVF59TYrA%3D&reserved=0>
>> >
>> >[1]
>> >https://na01.safelinks.protection.outlook.com/?url=
>> https%3A%2F%2Fpaste.apa
>> >che.org%2FFbUb&data=02%7C01%7C%7C284e644bff584ab1b7d708d4ee62
>> f776%7Cfa7b1b
>> >5a7b34438794aed2c178decee1%7C0%7C0%7C636395556215578840&
>> sdata=dhOREax1nh33
>> >zGhlaqo9%2B0FD8g5YLY7B0yuRGd3kVKY%3D&reserved=0
>> >[2]
>> >https://na01.safelinks.protection.outlook.com/?url=
>> https%3A%2F%2Fpaste.apa
>> >che.org%2Fl0mh&data=02%7C01%7C%7C284e644bff584ab1b7d708d4ee62
>> f776%7Cfa7b1b
>> >5a7b34438794aed2c178decee1%7C0%7C0%7C636395556215578840&
>> sdata=w2vD2jcJMjoi
>> >9LYCR7z8ppgwHqe9J40G5G2fbl6uB40%3D&reserved=0
>> >
>> >Thanks,
>> >Piotr
>> >
>> >
>> >
>> >-----
>> >Apache Flex PMC
>> >[hidden email]
>> >--
>> >View this message in context:
>> >https://na01.safelinks.protection.outlook.com/?url=
>> http%3A%2F%2Fapache-fle
>> >x-development.2333347.n4.nabble.com%2FFlex-JS-Flex-SDK-
>> Installer-always-ge
>> >t-stuck-at-Finish-uncompressing-tp63989p64004.
>> html&data=02%7C01%7C%7C284e6
>> >44bff584ab1b7d708d4ee62f776%7Cfa7b1b5a7b34438794aed2c178de
>> cee1%7C0%7C0%7C6
>> >36395556215578840&sdata=gd1LmXTytYAQOab3zLaTzWbAufOzK6
>> e%2BfPf56%2FTeCIM%3D
>> >&reserved=0
>> >Sent from the Apache Flex Development mailing list archive at
>>Nabble.com.
>>
>>
>
>
>--
>
>Piotr Zarzycki
>
>mobile: +48 880 859 557
>skype: zarzycki10
>
>LinkedIn:
>https://na01.safelinks.protection.outlook.com/?url=http%3A%2F%2Fwww.linked
>in.com%2Fpiotrzarzycki&data=02%7C01%7C%7Ce185e651110c4c41e85908d4f30d81d6%
>7Cfa7b1b5a7b34438794aed2c178decee1%7C0%7C0%7C636400686724171224&sdata=2G5u
>oQ%2F1AYn846xrab%2BaOsFvp4VCLVgXzQgOXqhicqA%3D&reserved=0
><https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fpl.linke
>din.com%2Fin%2Fpiotr-zarzycki-92a53552&data=02%7C01%7C%7Ce185e651110c4c41e
>85908d4f30d81d6%7Cfa7b1b5a7b34438794aed2c178decee1%7C0%7C0%7C6364006867241
>71224&sdata=SlLXtKNsN0w8CA3bqf6bA%2FBNjeowkDXUoBtdqb5LdxI%3D&reserved=0>

Reply | Threaded
Open this post in threaded view
|

Re: [Flex JS] Flex SDK Installer always get stuck at "Finish uncompressing"

piotrz
Once I get back "target-player" to flex-config, but still left commented
out external-library-path and library-path everything has build without the
problem.

Piotr

2017-09-04 2:18 GMT+02:00 Alex Harui <[hidden email]>:

> OK, but if you specify a legitimate target-player but only specify JSFlex
> output, I'm still wondering what part of the compiler is going to verify a
> playerglobal.swc exists since playerglobal.swc shouldn’t be specified in
> any external-library-path.
>
> -Alex
>
> On 9/3/17, 1:51 PM, "Piotr Zarzycki" <[hidden email]> wrote:
>
> >Hi Alex,
> >
> >I get back to this and look closer into compiler code regarding point #1.
> >I
> >see following comments in Configuration.java:
> >
> >"The major_version is required while minor_version and revision are
> >optional. The minimum value is 10.0.0. If you do not specify the
> >minor_version or revision, then the compiler uses zeros."
> >
> >In code I see that if I don't have in flex-config.xml <target-player> at
> >all I have exception reported by this line [1]. That is why I'm seeing
> >this
> >one:
> >
> ><target-player>0.0.0</target-player>
> >
> >
> >[1]
> >https://na01.safelinks.protection.outlook.com/?url=
> https%3A%2F%2Fpaste.apa
> >che.org%2FBB2R&data=02%7C01%7C%7Ce185e651110c4c41e85908d4f30d
> 81d6%7Cfa7b1b
> >5a7b34438794aed2c178decee1%7C0%7C0%7C636400686724171224&
> sdata=ifbA81a5a5vw
> >bE4yej1Ej4mzM4JkfTH3KtBzC95wvK8%3D&reserved=0
> >
> >Thanks,
> >Piotr
> >
> >
> >2017-08-29 6:36 GMT+02:00 Alex Harui <[hidden email]>:
> >
> >> Hmm.  It isn't obvious to me:
> >>
> >> 1) if you only have target=JSFlex, why does the compiler care about
> >> target-player?
> >> 2) Why did -htmlTemplate option not work?
> >>
> >> Maybe the console output would tell us more, or try putting
> >> System.out.println calls into MXMLFlexJSPublisher.java to see why the
> >> template wasn’t generated.
> >>
> >> HTH,
> >> -Alex
> >>
> >> On 8/28/17, 3:20 PM, "piotrz" <[hidden email]> wrote:
> >>
> >> >Hi Alex,
> >> >
> >> >I just did build using console. It look like there is a bug in
> >>Moonshine
> >> >partially.
> >> >
> >> >Build in Moonshine:
> >> >Basically when I run build it has failed with same error in Moonshine,
> >> >cause
> >> >every build generates custom configuration [1] which contains
> >> ><target-player>0.0.0</target-player> - if there is no player version
> in
> >> >frameworks/flex-config.xml (since I have commented out each line
> >>related
> >> >to
> >> >target-player).
> >> >
> >> >I will probably raise issue for Moonshine.
> >> >
> >> >Build in console:
> >> >Once I removed target-player from [2] build has been successful from
> >> >console. Unfortunately -html-template was completely omitted, so MDL
> >> >example
> >> >do not have any styles.
> >> >
> >> ><https://na01.safelinks.protection.outlook.com/?url=
> >> http%3A%2F%2Fapache-fl
> >> >ex-development.2333347.n4.nabble.com%2Ffile%2Fn64004%
> >> 2Fmdl_table_without_S
> >> >tyle.png&data=02%7C01%7C%7C284e644bff584ab1b7d708d4ee62
> >> f776%7Cfa7b1b5a7b34
> >> >438794aed2c178decee1%7C0%7C0%7C636395556215578840&sdata=
> >> ZRxcO%2B%2Bn2wULt4
> >> >kn53d6ZZutOxqguNTjBteVF59TYrA%3D&reserved=0>
> >> >
> >> >[1]
> >> >https://na01.safelinks.protection.outlook.com/?url=
> >> https%3A%2F%2Fpaste.apa
> >> >che.org%2FFbUb&data=02%7C01%7C%7C284e644bff584ab1b7d708d4ee62
> >> f776%7Cfa7b1b
> >> >5a7b34438794aed2c178decee1%7C0%7C0%7C636395556215578840&
> >> sdata=dhOREax1nh33
> >> >zGhlaqo9%2B0FD8g5YLY7B0yuRGd3kVKY%3D&reserved=0
> >> >[2]
> >> >https://na01.safelinks.protection.outlook.com/?url=
> >> https%3A%2F%2Fpaste.apa
> >> >che.org%2Fl0mh&data=02%7C01%7C%7C284e644bff584ab1b7d708d4ee62
> >> f776%7Cfa7b1b
> >> >5a7b34438794aed2c178decee1%7C0%7C0%7C636395556215578840&
> >> sdata=w2vD2jcJMjoi
> >> >9LYCR7z8ppgwHqe9J40G5G2fbl6uB40%3D&reserved=0
> >> >
> >> >Thanks,
> >> >Piotr
> >> >
> >> >
> >> >
> >> >-----
> >> >Apache Flex PMC
> >> >[hidden email]
> >> >--
> >> >View this message in context:
> >> >https://na01.safelinks.protection.outlook.com/?url=
> >> http%3A%2F%2Fapache-fle
> >> >x-development.2333347.n4.nabble.com%2FFlex-JS-Flex-SDK-
> >> Installer-always-ge
> >> >t-stuck-at-Finish-uncompressing-tp63989p64004.
> >> html&data=02%7C01%7C%7C284e6
> >> >44bff584ab1b7d708d4ee62f776%7Cfa7b1b5a7b34438794aed2c178de
> >> cee1%7C0%7C0%7C6
> >> >36395556215578840&sdata=gd1LmXTytYAQOab3zLaTzWbAufOzK6
> >> e%2BfPf56%2FTeCIM%3D
> >> >&reserved=0
> >> >Sent from the Apache Flex Development mailing list archive at
> >>Nabble.com.
> >>
> >>
> >
> >
> >--
> >
> >Piotr Zarzycki
> >
> >mobile: +48 880 859 557
> >skype: zarzycki10
> >
> >LinkedIn:
> >https://na01.safelinks.protection.outlook.com/?url=
> http%3A%2F%2Fwww.linked
> >in.com%2Fpiotrzarzycki&data=02%7C01%7C%7Ce185e651110c4c41e85908d4f30d
> 81d6%
> >7Cfa7b1b5a7b34438794aed2c178decee1%7C0%7C0%7C636400686724171224&sdata=
> 2G5u
> >oQ%2F1AYn846xrab%2BaOsFvp4VCLVgXzQgOXqhicqA%3D&reserved=0
> ><https://na01.safelinks.protection.outlook.com/?url=
> https%3A%2F%2Fpl.linke
> >din.com%2Fin%2Fpiotr-zarzycki-92a53552&data=02%
> 7C01%7C%7Ce185e651110c4c41e
> >85908d4f30d81d6%7Cfa7b1b5a7b34438794aed2c178de
> cee1%7C0%7C0%7C6364006867241
> >71224&sdata=SlLXtKNsN0w8CA3bqf6bA%2FBNjeowkDXUoBtdqb5LdxI%3D&reserved=0>
>
>


--

Piotr Zarzycki

mobile: +48 880 859 557
skype: zarzycki10

LinkedIn: http://www.linkedin.com/piotrzarzycki
<https://pl.linkedin.com/in/piotr-zarzycki-92a53552>
Reply | Threaded
Open this post in threaded view
|

Re: [Flex JS] Flex SDK Installer always get stuck at "Finish uncompressing"

Alex Harui-2
OK.  That's what I hoped.  So the goal should be for the installer to set
target-player to something like 11.1?

Thanks,
-Alex

On 9/3/17, 11:19 PM, "Piotr Zarzycki" <[hidden email]> wrote:

>Once I get back "target-player" to flex-config, but still left commented
>out external-library-path and library-path everything has build without
>the
>problem.
>
>Piotr
>
>2017-09-04 2:18 GMT+02:00 Alex Harui <[hidden email]>:
>
>> OK, but if you specify a legitimate target-player but only specify
>>JSFlex
>> output, I'm still wondering what part of the compiler is going to
>>verify a
>> playerglobal.swc exists since playerglobal.swc shouldn’t be specified in
>> any external-library-path.
>>
>> -Alex
>>
>> On 9/3/17, 1:51 PM, "Piotr Zarzycki" <[hidden email]> wrote:
>>
>> >Hi Alex,
>> >
>> >I get back to this and look closer into compiler code regarding point
>>#1.
>> >I
>> >see following comments in Configuration.java:
>> >
>> >"The major_version is required while minor_version and revision are
>> >optional. The minimum value is 10.0.0. If you do not specify the
>> >minor_version or revision, then the compiler uses zeros."
>> >
>> >In code I see that if I don't have in flex-config.xml <target-player>
>>at
>> >all I have exception reported by this line [1]. That is why I'm seeing
>> >this
>> >one:
>> >
>> ><target-player>0.0.0</target-player>
>> >
>> >
>> >[1]
>> >https://na01.safelinks.protection.outlook.com/?url=
>> https%3A%2F%2Fpaste.apa
>> >che.org%2FBB2R&data=02%7C01%7C%7Ce185e651110c4c41e85908d4f30d
>> 81d6%7Cfa7b1b
>> >5a7b34438794aed2c178decee1%7C0%7C0%7C636400686724171224&
>> sdata=ifbA81a5a5vw
>> >bE4yej1Ej4mzM4JkfTH3KtBzC95wvK8%3D&reserved=0
>> >
>> >Thanks,
>> >Piotr
>> >
>> >
>> >2017-08-29 6:36 GMT+02:00 Alex Harui <[hidden email]>:
>> >
>> >> Hmm.  It isn't obvious to me:
>> >>
>> >> 1) if you only have target=JSFlex, why does the compiler care about
>> >> target-player?
>> >> 2) Why did -htmlTemplate option not work?
>> >>
>> >> Maybe the console output would tell us more, or try putting
>> >> System.out.println calls into MXMLFlexJSPublisher.java to see why the
>> >> template wasn’t generated.
>> >>
>> >> HTH,
>> >> -Alex
>> >>
>> >> On 8/28/17, 3:20 PM, "piotrz" <[hidden email]> wrote:
>> >>
>> >> >Hi Alex,
>> >> >
>> >> >I just did build using console. It look like there is a bug in
>> >>Moonshine
>> >> >partially.
>> >> >
>> >> >Build in Moonshine:
>> >> >Basically when I run build it has failed with same error in
>>Moonshine,
>> >> >cause
>> >> >every build generates custom configuration [1] which contains
>> >> ><target-player>0.0.0</target-player> - if there is no player version
>> in
>> >> >frameworks/flex-config.xml (since I have commented out each line
>> >>related
>> >> >to
>> >> >target-player).
>> >> >
>> >> >I will probably raise issue for Moonshine.
>> >> >
>> >> >Build in console:
>> >> >Once I removed target-player from [2] build has been successful from
>> >> >console. Unfortunately -html-template was completely omitted, so MDL
>> >> >example
>> >> >do not have any styles.
>> >> >
>> >> ><https://na01.safelinks.protection.outlook.com/?url=
>> >> http%3A%2F%2Fapache-fl
>> >> >ex-development.2333347.n4.nabble.com%2Ffile%2Fn64004%
>> >> 2Fmdl_table_without_S
>> >> >tyle.png&data=02%7C01%7C%7C284e644bff584ab1b7d708d4ee62
>> >> f776%7Cfa7b1b5a7b34
>> >> >438794aed2c178decee1%7C0%7C0%7C636395556215578840&sdata=
>> >> ZRxcO%2B%2Bn2wULt4
>> >> >kn53d6ZZutOxqguNTjBteVF59TYrA%3D&reserved=0>
>> >> >
>> >> >[1]
>> >> >https://na01.safelinks.protection.outlook.com/?url=
>> >> https%3A%2F%2Fpaste.apa
>> >> >che.org%2FFbUb&data=02%7C01%7C%7C284e644bff584ab1b7d708d4ee62
>> >> f776%7Cfa7b1b
>> >> >5a7b34438794aed2c178decee1%7C0%7C0%7C636395556215578840&
>> >> sdata=dhOREax1nh33
>> >> >zGhlaqo9%2B0FD8g5YLY7B0yuRGd3kVKY%3D&reserved=0
>> >> >[2]
>> >> >https://na01.safelinks.protection.outlook.com/?url=
>> >> https%3A%2F%2Fpaste.apa
>> >> >che.org%2Fl0mh&data=02%7C01%7C%7C284e644bff584ab1b7d708d4ee62
>> >> f776%7Cfa7b1b
>> >> >5a7b34438794aed2c178decee1%7C0%7C0%7C636395556215578840&
>> >> sdata=w2vD2jcJMjoi
>> >> >9LYCR7z8ppgwHqe9J40G5G2fbl6uB40%3D&reserved=0
>> >> >
>> >> >Thanks,
>> >> >Piotr
>> >> >
>> >> >
>> >> >
>> >> >-----
>> >> >Apache Flex PMC
>> >> >[hidden email]
>> >> >--
>> >> >View this message in context:
>> >> >https://na01.safelinks.protection.outlook.com/?url=
>> >> http%3A%2F%2Fapache-fle
>> >> >x-development.2333347.n4.nabble.com%2FFlex-JS-Flex-SDK-
>> >> Installer-always-ge
>> >> >t-stuck-at-Finish-uncompressing-tp63989p64004.
>> >> html&data=02%7C01%7C%7C284e6
>> >> >44bff584ab1b7d708d4ee62f776%7Cfa7b1b5a7b34438794aed2c178de
>> >> cee1%7C0%7C0%7C6
>> >> >36395556215578840&sdata=gd1LmXTytYAQOab3zLaTzWbAufOzK6
>> >> e%2BfPf56%2FTeCIM%3D
>> >> >&reserved=0
>> >> >Sent from the Apache Flex Development mailing list archive at
>> >>Nabble.com.
>> >>
>> >>
>> >
>> >
>> >--
>> >
>> >Piotr Zarzycki
>> >
>> >mobile: +48 880 859 557
>> >skype: zarzycki10
>> >
>> >LinkedIn:
>> >https://na01.safelinks.protection.outlook.com/?url=
>> http%3A%2F%2Fwww.linked
>> >in.com%2Fpiotrzarzycki&data=02%7C01%7C%7Ce185e651110c4c41e85908d4f30d
>> 81d6%
>> >7Cfa7b1b5a7b34438794aed2c178decee1%7C0%7C0%7C636400686724171224&sdata=
>> 2G5u
>> >oQ%2F1AYn846xrab%2BaOsFvp4VCLVgXzQgOXqhicqA%3D&reserved=0
>> ><https://na01.safelinks.protection.outlook.com/?url=
>> https%3A%2F%2Fpl.linke
>> >din.com%2Fin%2Fpiotr-zarzycki-92a53552&data=02%
>> 7C01%7C%7Ce185e651110c4c41e
>> >85908d4f30d81d6%7Cfa7b1b5a7b34438794aed2c178de
>> cee1%7C0%7C0%7C6364006867241
>>
>>>71224&sdata=SlLXtKNsN0w8CA3bqf6bA%2FBNjeowkDXUoBtdqb5LdxI%3D&reserved=0>
>>
>>
>
>
>--
>
>Piotr Zarzycki
>
>mobile: +48 880 859 557
>skype: zarzycki10
>
>LinkedIn:
>https://na01.safelinks.protection.outlook.com/?url=http%3A%2F%2Fwww.linked
>in.com%2Fpiotrzarzycki&data=02%7C01%7C%7C4952a76900924e6ffe5b08d4f35cfbf7%
>7Cfa7b1b5a7b34438794aed2c178decee1%7C0%7C0%7C636401028093402236&sdata=cbBf
>dmGkGyGRPiryqPo%2Bcdo0Xp3GsPJ8lBSxZ1CtAgc%3D&reserved=0
><https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fpl.linke
>din.com%2Fin%2Fpiotr-zarzycki-92a53552&data=02%7C01%7C%7C4952a76900924e6ff
>e5b08d4f35cfbf7%7Cfa7b1b5a7b34438794aed2c178decee1%7C0%7C0%7C6364010280934
>02236&sdata=g%2B5pTwRB3zQ9sC1Cbj2bYPR0%2Bd9nLBD0ZjN5ZWTwYJs%3D&reserved=0>

12